Initiates a batch process that computes an image and writes the result to one of several destinations.

### HTTP request

`POST https://earthengine.googleapis.com/v1beta/{project=projects/*}/image:export`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` The project id or project number of the Google Cloud Platform project that should be treated as the service consumer for this request. Format is `projects/{project-id}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `project`: - `earthengine.exports.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "expression": { object (`https://developers.google.com/earth-engine/reference/rest/v1beta/Expression`) }, "description": string, "maxPixels": string, "grid": { object (`https://developers.google.com/earth-engine/reference/rest/v1beta/PixelGrid`) }, "requestId": string, "workloadTag": string, "priority": integer, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "fileExportOptions": { object (`https://developers.google.com/earth-engine/reference/rest/v1beta/ImageFileExportOptions`) }, "assetExportOptions": { object (`https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image/export#ImageAssetExportOptions`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `expression` | ``object (`https://developers.google.com/earth-engine/reference/rest/v1beta/Expression`)`` An expression that evaluates to the image to compute and export. |
| `description` | `string` A human-readable name of the task. |
| `maxPixels` | `string (https://developers.google.com/discovery/v1/type-format format)` The maximum number of pixels to compute and export. This is a safety guard to prevent you from accidentally starting a larger export than you had intended. The default value is 1e8 pixels, but you can set the value explicitly to raise or lower this limit. |
| `grid` | ``object (`https://developers.google.com/earth-engine/reference/rest/v1beta/PixelGrid`)`` Parameters describing how the image computed by `expression` should be reprojected and clipped. If not present, the full computed image is returned in its native projection. |
| `requestId` | `string` A unique string used to detect duplicated requests. If more than one request is made by the same user with the same non-empty `requestId`, only one of those requests may successfully start a long-running operation. `requestId` may contain the characters a..z, A..Z, 0-9, or '-'. `requestId` may be at most 60 characters long. |
| `workloadTag` | `string` User supplied label to track this computation. |
| `priority` | `integer` Optional. The priority of the export task within the project. Higher priority tasks are scheduled sooner. Must be an integer between 0 and 9999. Defaults to 100 if not set. |
| Options describing where and how to store the results. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `fileExportOptions` | ``object (`https://developers.google.com/earth-engine/reference/rest/v1beta/ImageFileExportOptions`)`` If specified, configures export as a file. |
| `assetExportOptions` | ``object (`https://developers.google.com/earth-engine/reference/rest/v1beta/projects.image/export#ImageAssetExportOptions`)`` If specified, configures export as an Earth Engine asset. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://developers.google.com/earth-engine/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/earthengine`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/devstorage.full_control`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ImageAssetExportOptions

Options for saving images as Earth Engine assets.

| JSON representation |
|---|
| ``` { "pyramidingPolicy": enum (`PyramidingPolicy`), "pyramidingPolicyOverrides": { string: enum (`PyramidingPolicy`), ... }, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "earthEngineDestination": { object (`https://developers.google.com/earth-engine/reference/rest/v1beta/EarthEngineDestination`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `pyramidingPolicy` | ``enum (`PyramidingPolicy`)`` The pyramiding policy to apply by default to all bands. |
| `pyramidingPolicyOverrides` | ``map (key: string, value: enum (`PyramidingPolicy`))`` Specific per-band pyramid policy overrides. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| Where to write the results. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `earthEngineDestination` | ``object (`https://developers.google.com/earth-engine/reference/rest/v1beta/EarthEngineDestination`)`` If specified, configures export to Earth Engine. |
| End of mutually exclusive fields. ||